Summary: SKK like Japanese-input application
Name: skkinput
Version: 2.06.3
Release: 3.XOS.1
License: GPL
Group: User Interface/X
Source0: %{name}-%{version}.tar.gz
Source1: bash.dot.inputrc
Patch0: skkinput-fontset.patch
#Patch1: skkinput-2.01-utf8.patch
URL: http://sourceforge.jp/projects/skkinput2/
Requires: dbskkd-cdb
BuildRequires: XFree86-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Skkinput is a kana to kanji converter with kinput protocol/kinput2
protocol/Ximp protocol/X Input Method(X11R6 standard) under X Window System.

%prep
%setup -q
#%patch -p1 -b .fontset
#%patch1 -p1 -b .utf8
cp ${RPM_SOURCE_DIR}/bash.dot.inputrc .

rm -fr ${RPM_BUILD_ROOT}

%build
/usr/X11R6/bin/xmkmf -a
make CDEBUGFLAGS="${RPM_OPT_FLAGS}"

%install
rm -fr ${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
make DESTDIR=${RPM_BUILD_ROOT} install install.man

#mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1
#install -m 644 $RPM_SOURCE_DIR/skkinput.1x.gz $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1/

gzip $RPM_BUILD_ROOT/%{_prefix}/X11R6/man/ja/man1/skkinput.1x

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc BUGS.jis CHANGES.jis FAQ.jis GPL PROGRAM.jis README.jis TODO.jis
%doc dot.skkinput
%doc bash.dot.inputrc
%{_prefix}/X11R6/bin/*
%{_prefix}/X11R6/lib/X11/app-defaults/Skkinput
%{_prefix}/X11R6/man/ja/man1/*
%{_prefix}/X11R6/man/man1/*

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 2.06.3-3.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on skkinput-2.06.3-3.src.rpm
  (md5sum of original source rpm: 0b7952614e4a4803160928df53a6638b).

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 2.06.3-3
- rebuild

* Tue Dec 17 2002 Jens Petersen <petersen@redhat.com> 2.06.3-2
- manually gzip ja man page

* Thu Dec 12 2002 Jens Petersen <petersen@redhat.com> 2.06.3-1
- 2.06.3

* Tue Dec  3 2002 Jens Petersen <petersen@redhat.com> 2.06.2-1
- update to 2.06.2
- skkinput.doc no longer included

* Fri Aug 30 2002 Jens Petersen <petersen@redhat.com> 2.04-2
- require our backend dbskkd-cdb

* Wed Jul 24 2002 Jens Petersen <petersen@redhat.com> 2.04-1
- 2.04
- use included manuals and include Skkinput app-defaults

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Feb 21 2002 Jens Petersen <petersen@redhat.com> 2.03-9
- rebuild in new environment

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 2.03-8
- automated rebuild

* Tue Jul 10 2001 Trond Eivind Glomsroed <teg@redhat.com>
- Don't define name and rel on top
- s/Copyright/License/

* Tue Jul 10 2001 SATO Satoru <ssato@redhat.com>
- fix spelling error in description, again
- bzip2-ed sources

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Jan 23 2001 SATO Satoru <ssato@redhat.com>
- fix spelling error in description
- add gzipped manual
- clean up SPEC

* Tue Jan 23 2001 SATO Satoru <ssato@redhat.com>
- fix wrong category (close #24703)

* Mon Dec 26 2000 SATO Satoru <ssato@redhat.com>
- clean up SPEC

* Mon Aug  4 2000 SATO Satoru <ssato@redhat.com>
- Initial release
